Delete Assignment Rule

Purpose

To delete an existing Assignment Rule in your Zoho CRM.

Use the Get Assignment Rules API to retrieve the Assignment Rule IDs available in your organization.

Endpoints

  • DELETE /settings/automation/assignment_rules/{assignment_rule_ID}

Request Details

Request URL

{api-domain}/crm/{version}/settings/automation/assignment_rules/{assignment_rule_ID}

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.assignment_rules.DELETE

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/automation/assignment_rules/2276164000003550025?module=Leads"
-X DELETE
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Parameter

  • modulestring, mandatory

    Specify the module API name from which you want to delete the Assignment Rule, such as Leads or Contacts. Use the Get Modules Metadata API to retrieve module API names.

Note

You can delete only one assignment rule per API call.

Possible Errors

  • INVALID_DATAHTTP 400

    The Assignment Rule ID provided is invalid
    Resolution: Specify a valid Assignment Rule ID. Use the Get Assignment Rules API to fetch the Assignment Rule IDs available in your Zoho CRM organization. 

  • REQUIRED_PARAM_MISSINGHTTP 400

    A required parameter is missing
    Resolution: Specify the module parameter and its corresponding value. Use the Get Modules Metadata API to know the supported module API names.

  • NO_PERMISSIONHTTP 400

    No permission to delete the assignment rule
    Resolution: You do not have permission to delete the Assignment rule. Contact your administrator to enable the required permissions.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL.
    Specify a valid request method. Refer to the Endpoint section.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to delete the assignment rule. Create a new token with valid scope. Refer to Scope section.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "assignment_rules": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "2276164000003550025"
            },
            "message": "Assignment rule DELETED successfully",
            "status": "success"
        }
    ]
}